GPL v2 vs v3

Steve Markgraf steve at steve-m.de
Wed Mar 26 19:17:58 UTC 2014


Hi,

On 26.03.2014 18:26, Max.Suraev at fairwaves.co wrote:
> I've just noticed (yepp, I'm very observant :) that COPYING in libosmocore is GPLv2.
> Is there any particular reason we still do not use GPLv3?

Good point, git grep "either version 3" actually shows that there are
quite some files that are GPLv3+, so the compiled and linked binaries
already make use of the "or any later version" of the other GPLv2+
licensed files.

So replacing COPYING with GPLv3 definitely would make sense imho.

Regards,
Steve




More information about the baseband-devel mailing list